astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Fitter

# Fitter

class `astropy.modeling.fitting.``Fitter`(optimizer, statistic)

  Bases: `object`

  Base class for all fitters.

  Parameters:

  optimizer : callable

  > A callable implementing an optimization algorithm

  statistic : callable

  > Statistic function

  Methods Summary

  `__call__`() | This method performs the actual fitting and modifies the parameter list of a model.
  `objective_function`(fps, *args) | Function to minimize.

  Methods Documentation

  `__call__`()

    This method performs the actual fitting and modifies the parameter list of a model.

    Fitter subclasses should implement this method.

  `objective_function`(fps, *args)

    Function to minimize.

    Parameters:

    fps : list

    > parameters returned by the fitter

    args : list

    > [model, [other_args], [input coordinates]] other_args may include weights or any other quantities specific for a statistic

    Notes

    The list of arguments (args) is set in the `__call__` method. Fitters may overwrite this method, e.g. when statistic functions require other arguments.